#!/bin/sh

preremove() {
	/opt/vmware/ws1-hub/agent stop
	if [ "$1" = "upgrade" ]; then
	   rm -rf /var/backups/ws1data_backup
	   mkdir -p /var/backups
	   cp -r /opt/vmware/ws1-hub/data/ /var/backups/ws1data_backup
	else
	   /opt/vmware/ws1-hub/bin/ws1HubUtil puppet --uninstall
	   /opt/vmware/ws1-hub/agent unenroll
	fi
	/opt/vmware/ws1-hub/agent cleanup
	
}

remove() {
	rm -f /etc/ws1-hub.conf
	rm -f /etc/systemd/system/ws1-hub.service
	rm -f /etc/init.d/ws1-hub
	
}

postremove() {
	if [ "$1" != "upgrade" ]; then
	    rm -rf /opt/vmware/ws1-hub
	    rm -rf /var/log/ws1-hub
	    rm -rf /var/backups/ws1data_backup
	fi
	
}

preremove
remove
postremove
